Package org.snpeff.nextProt

# Class NextProtXmlAnnotation

java.lang.Object
org.snpeff.nextProt.NextProtXmlNode
org.snpeff.nextProt.NextProtXmlAnnotation

public class NextProtXmlAnnotation extends NextProtXmlNode
Mimics the 'annotation' tag in a NextProt XML file

Author:
  Pablo Cingolani

## Constructor Summary

Constructors
Constructor
Description
`NextProtXmlAnnotation(NextProtXmlEntry entry, String category)`

## Method Summary

Modifier and Type
Method
Description
`void`
`addMarkers(NextProtMarkerFactory markersFactory)`
Create all markers for this annotation
`String`
`description()`
`String`
`getCategory()`
`CvTerm`
`getCvTerm()`
`String`
`getDescription()`
`List<Location>`
`getLocations()`
`boolean`
`hasCvTerm()`
`boolean`
`isEmpty()`
`void`
`locationBeginPos(Attributes attributes)`
`void`
`locationEnd()`
End of location tag
`void`
`locationEndPos(Attributes attributes)`
`void`
`locationIsoformStart(String accession)`
`void`
`locationStart(Attributes attributes)`
`String`
`name()`
Return an annotation "name" Clean up characters to make them compatible with VCF annotations
`void`
`setCvTerm(CvTerm cvTerm)`
`void`
`setDescription(String description)`
`String`
`toString()`
`String`
`toString(String prefix)`

### Methods inherited from class org.snpeff.nextProt.NextProtXmlNode

`getAccession`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### NextProtXmlAnnotation

public NextProtXmlAnnotation(NextProtXmlEntry entry, String category)

## Method Details

### addMarkers

public void addMarkers(NextProtMarkerFactory markersFactory)
Create all markers for this annotation

### description

public String description()

### getCategory

public String getCategory()

### getCvTerm

public CvTerm getCvTerm()

### setCvTerm

public void setCvTerm(CvTerm cvTerm)

### getDescription

public String getDescription()

### setDescription

public void setDescription(String description)

### getLocations

public List<Location> getLocations()

### hasCvTerm

public boolean hasCvTerm()

### isEmpty

public boolean isEmpty()

### locationBeginPos

public void locationBeginPos(Attributes attributes)

### locationEnd

public void locationEnd()
End of location tag

### locationEndPos

public void locationEndPos(Attributes attributes)

### locationIsoformStart

public void locationIsoformStart(String accession)

### locationStart

public void locationStart(Attributes attributes)

### name

public String name()
Return an annotation "name" Clean up characters to make them compatible with VCF annotations

### toString

public String toString()

Overrides:
  `toString` in class `Object`

### toString

public String toString(String prefix)